package cn.hnthyy.thmz.enums;

import java.util.Arrays;
import java.util.List;

/**
 * 文件类型
 */
public enum FileTypeEnum {
    PROFILE_IMAGE(0,"头像"),
    ID_CARD_FRONT(1,"身份证正面"),
    ID_CARD_BACK(2,"身份证背面"),
    PRINT_DRIVE(3,"打印机驱动");

    public Integer code;
    public String name;

    FileTypeEnum(Integer code, String name){
        this.code=code;
        this.name=name;
    }

    /**
     * 根据编码查询对应的类型
     * @param code
     * @return
     */
    public static FileTypeEnum getFileTypeByCode(Integer code){
        List<FileTypeEnum> fileTypeList= Arrays.asList(values());
        for (FileTypeEnum fileType:fileTypeList){
            if(fileType.code.equals(code)){
                return fileType;
            }
        }
        return null;
    }
}
